Okay, So to clear a few things up really quick: I am aware that RuneScape has a downloadable client and I'm also aware that RuneScape's JAVA version of the game is only compatible with Firefox / Internet Explorer, However I AM using Firefox and STILL getting the message that it's not compatible with my browser...?





I didn't find the right solution from the internet.

References http://services.runescape.com/m=forum/forums.ws?14...
Financial Planning Video Examples
Last update on April 27, 7:40 am by Sumit Modi.